Date: 2014-10-01

artificialFastqGenerator

## Class ArtificialFastqGenerator

- java.lang.Object
- - artificialFastqGenerator.ArtificialFastqGenerator

-     public class ArtificialFastqGenerator
      extends java.lang.Object

  An instance of this class can be used to generate artificial FASTQ files from the human reference genome. Copyright (C) 2012 The Institute of Cancer Research (ICR). This file is part of ArtificialFastqGenerator v1.0.0. ArtificialFastqGenerator is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. This program is distributed in the hope that it will be useful but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU Public License along with this program. If not, see Authour's contact email: Matthew.Frampton@icr.ac.uk

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `ArtificialFastqGenerator.BabyRead` A sequence of nucleobases which may be used to create a read.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArtificialFastqGenerator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateArtificialFastqs(java.lang.String referenceGenomePath)` Main method for generating FASTQ files.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtificialFastqGenerator

          public ArtificialFastqGenerator()

  - ### Method Detail

    - #### generateArtificialFastqs

          public void generateArtificialFastqs(java.lang.String referenceGenomePath)

      Main method for generating FASTQ files.
      Parameters:
        `referenceGenomePath` -